Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.security
Class PolicyGrant

    java.lang.Object
      |
      +--com.ibm.aglets.security.PolicyGrant

public class PolicyGrant
extends java.lang.Object

The `PolicyGrant` class represents a grant of Java policy database.

Version:
  1.00 $Date: 2001/07/28 06:33:11 $
Author:
  ONO Kouichi

Constructor Summary
`PolicyGrant()`

Method Summary
`void` | `addPermission(PolicyPermission permission)`
`boolean` | `equals(java.util.Vector signers, URIPattern codeBase, java.util.Vector owners)`
`URIPattern` | `getCodeBase()`
`java.lang.String` | `getOwnerNames()`
`java.util.Enumeration` | `getOwners()`
`java.util.Enumeration` | `getPermissions()`
`java.security.Permissions` | `getPermissions(java.security.CodeSource cs)`
`java.util.Enumeration` | `getPermissions(java.lang.String className)`
`java.lang.String` | `getSignerNames()`
`java.util.Enumeration` | `getSigners()`
`protected boolean` | `isCodeBase(java.net.URL codeBase)`
`protected boolean` | `isOwnedBy(java.security.cert.Certificate ownerCert)`
`protected boolean` | `isOwnedByAndSignedBy(java.security.cert.Certificate[] certs)`
`protected boolean` | `isSignedBy(java.security.cert.Certificate[] certs)`
`protected boolean` | `isSignedBy(java.lang.String signer, java.security.cert.Certificate[] certs)`
`void` | `setCodeBase(java.lang.String codeBase)`
`void` | `setCodeBase(java.net.URL codeBase)`
`void` | `setOwnerNames(java.lang.String ownerNames)`
`void` | `setSignerNames(java.lang.String signerNames)`
`java.lang.String` | `toString()`
`java.util.Vector` | `toVector()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyGrant

    public PolicyGrant()

Method Detail

### addPermission

    public void addPermission(PolicyPermission permission)

### equals

    public boolean equals(java.util.Vector signers,
                          URIPattern codeBase,
                          java.util.Vector owners)

### getCodeBase

    public URIPattern getCodeBase()

### getOwnerNames

    public java.lang.String getOwnerNames()

### getOwners

    public java.util.Enumeration getOwners()

### getPermissions

    public java.util.Enumeration getPermissions()

### getPermissions

    public java.util.Enumeration getPermissions(java.lang.String className)

### getPermissions

    public java.security.Permissions getPermissions(java.security.CodeSource cs)

### getSignerNames

    public java.lang.String getSignerNames()

### getSigners

    public java.util.Enumeration getSigners()

### isCodeBase

    protected boolean isCodeBase(java.net.URL codeBase)

### isOwnedBy

    protected boolean isOwnedBy(java.security.cert.Certificate ownerCert)

### isOwnedByAndSignedBy

    protected boolean isOwnedByAndSignedBy(java.security.cert.Certificate[] certs)

### isSignedBy

    protected boolean isSignedBy(java.security.cert.Certificate[] certs)

### isSignedBy

    protected boolean isSignedBy(java.lang.String signer,
                                 java.security.cert.Certificate[] certs)

### setCodeBase

    public void setCodeBase(java.lang.String codeBase)
                     throws MalformedURIPatternException

### setCodeBase

    public void setCodeBase(java.net.URL codeBase)
                     throws MalformedURIPatternException

### setOwnerNames

    public void setOwnerNames(java.lang.String ownerNames)

### setSignerNames

    public void setSignerNames(java.lang.String signerNames)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toVector

    public java.util.Vector toVector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD